Skip to content
POST /synthetic-tool

Request Body

descriptionstring
input_schemaRecord<string, any>
namestring
stepsobject[]
curl -X POST 'https://api.elaichi.ai/synthetic-tool' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name","description":"your_description","input_schema":{},"steps":[]}'
const body = {
  "name": "your_name",
  "description": "your_description",
  "input_schema": {},
  "steps": []
};

const response = await fetch('https://api.elaichi.ai/synthetic-tool', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/synthetic-tool"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name",
    "description": "your_description",
    "input_schema": {},
    "steps": []
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())